Deletes a channel section.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 50 units.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/reference/rest/v3/channelSections/delete_30b2744e60e0bcb84d91669ab12311e0ecd9216a07f2d29f822dd7363b1998e9.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
DELETE https://www.googleapis.com/youtube/v3/channelSections
```

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/youtube/data/guides/authentication.md.txt)).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtubepartner` |
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `id` | `string` The `id` parameter specifies the ID that uniquely identifies the channel section that is being deleted. In a `channelSection` resource, the `id` property specifies the section's ID. |
| **Optional parameters** |||
| `onBehalfOfContentOwner` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/guides/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwner` parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns a [channelSection resource](https://developers.google.com/youtube/data/reference/rest/v3/channelSections.md.txt#resource) in the response body.

## Errors

The following table identifies error messages that the API could return in response to a call to this method. Please see the [error message](https://developers.google.com/youtube/data/reference/rest/v3/errors.md.txt) documentation for more detail.

| Error type | Error detail | Description |
|---|---|---|
| `badRequest (400)` | `notEditable` | This channel section cannot be deleted. |
| `forbidden (403)` | `channelSectionForbidden` | The request is not properly authenticated or not supported for this channel. |
| `invalidValue (400)` | `idInvalid` | The `id` property specifies an invalid channel section ID. |
| `invalidValue (400)` | `idRequired` | The `id` property must specify a value that identifies the channel section being deleted. |
| `notFound (404)` | `channelNotFound` | The channel is not found. |
| `notFound (404)` | `channelSectionNotFound` | The channel section you are trying to update cannot be found. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.